require('./lib/client');

const pushTaskPrepaid = require('./lib/client/push-task-prepaid');

const wsList = require('./lib/client/ws-list');

exports.pushTaskPrepaid = pushTaskPrepaid;

/**
 * Check if gateway has valid active websocket
 *
 * @param  {string} gatewayName
 * @returns {boolean}
 */
exports.hasActiveWs = (gatewayName) => !!wsList[gatewayName];
